## git-buildpackage 0.6.22~bpo70+1

=== debian/changelog ===
git-buildpackage (0.6.22~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports. Thanks to Dan Lipsitt for beating me to this
    via GHPR#8
  * Remaining changes:
      * [f6f3e6c] Remove versioned devscipts build-dep. The tests now detect
        the dch defaults
      * [37a26b0] Lower devscripts dependency. This reopens #635920
  * [da2a78e] Add gbp.conf for wheezy backports

 -- Guido Günther <agx@sigxcpu.org>  Tue, 17 Mar 2015 09:16:13 +0100

git-buildpackage (0.6.22) unstable; urgency=medium

  * [3d8939d] git.vfs: fix close method. Preventing a infinite recursion
    which can be triggered by gbp pq export --commit.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Oct 2014 07:47:21 +0100

git-buildpackage (0.6.21) unstable; urgency=medium

  * [81dab4b] pq: Don't fail commit if the series file is empty on the source
    branch
  * [740e431] man: fix option argument for --git-pbuilder-options
  * [22a6987] Improve change reporting a bit
  * [e08d64d] Complete setup.py for pypi

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Oct 2014 18:41:14 +0200

git-buildpackage (0.6.20) unstable; urgency=medium

  * [ee44479] Allow to always drop pq branch after export (Closes: #761160)
  * [51ac0a5] pq: document --drop
  * [90b283f] meta-closes: Move help text to GbpOptionParser.help
  * [0afcd3d] pq: Add "pq export --commit" option.  This commits the changes
    in the pq right away. This options is currently experimental and subject
    to change.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 12 Oct 2014 11:42:27 +0200

git-buildpackage (0.6.19) unstable; urgency=medium

  * [5d4cb92] Update to git-pbuilder 1.33

 -- Guido Günther <agx@sigxcpu.org>  Sun, 07 Sep 2014 09:25:48 +0200

git-buildpackage (0.6.18) unstable; urgency=medium

  * Upload to unstable
  * [6edd836] Don't delete *_source.changes on source only builds
    (Closes: #758726)
  * [a37832e] Mention --no-merge (Closes: #760091)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 06 Sep 2014 13:41:05 +0200

git-buildpackage (0.6.17) experimental; urgency=medium

  [ Guido Günther ]
  * [692e5da] Make sure we fixup the changelog trailer with newer devscripts.
    We don't change any mainttrailer options already given.
    Thanks to James McCoy for the detailed explanation (Closes: #740566)
  * [ae5805e] Improve error messages on formatting errors to
    make it easier for the user to detect misformated replacement strings in
    config files and command line options.
  * [5f82f44] gbp: add --version option (Closes: #758909)
  * [04aa92f] Allow to list all available gbp subcommands
  * [68c053f] Unify doc strings a bit since they now show up with --list-cmds
  * [6d510ce] bash completion: make command list dynamic.
    Use "gbp --list-cmds" so we don't have to hardcode the available
    commands and get support for the RPM ones as they show up.

  [ Kamal Mostafa ]
  * [6823e51] buildpackage: Make debian-tag message configurable via
    --git-debian-tag-msg.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 24 Aug 2014 11:31:28 +0200

git-buildpackage (0.6.16) experimental; urgency=medium

  [ Markus Lehtonen ]
  * Doc cleanups and reformatting
  * [736b9d8] Introduce git-import-srpm tool.
  * [ed228a2] import-srpm: add 'vendor' config option.
    Intended to represent the distribution vendor (e.g. 'Debian').
    Currently, this can be used in tag format strings.

  [ Guido Günther ]
  * [0b1fc0d] buildpackage: Also print tag name when tagging the Debian
    release.  Based on a patch by Kamal Mostafa
  * [2bf944f] Pass --no-pristine-tar to SRPM compnent tests
    to avoid pristine-tar showing up in the matched branches
  * [23090c9] Introduce git-buildpackage-rpm. Currently only including "gbp
    import-srpm".
  * Remove newly introducted spurious log outputs from tests

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Jul 2014 15:57:49 +0200

git-buildpackage (0.6.13~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * [f6f3e6c] Remove versioned devscipts build-dep. The tests now detect the
    dch defaults
  * [37a26b0] Lower devscripts dependency. This reopens #635920
  * [da2a78e] Add gbp.conf for wheezy backports

 -- Guido Günther <agx@sigxcpu.org>  Fri, 04 Apr 2014 11:29:15 +0200

git-buildpackage (0.6.1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Jul 2013 20:05:18 +0200

=== debian/control ===
Source: git-buildpackage
Section: vcs
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 bash-completion,
 debhelper (>= 9~),
 docbook-utils,
 gtk-doc-tools,
 jade,
 perl,
 pychecker,
 python (>> 2.6.6-3~),
 python-coverage,
 python-dateutil,
 python-epydoc,
 python-mock,
 python-nose,
 python-nosexcover,
 python-pkg-resources,
 python-rpm,
 python-setuptools,
 rpm,
 sgml2x,
# For the testsuite
 bzip2,
 devscripts,
 git (>= 1:1.7.9.1-1~),
 pristine-tar,
 unzip,
Standards-Version: 3.9.4
Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
X-Python-Version: >= 2.6

Package: git-buildpackage
Architecture: all
Depends: ${python:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 devscripts (>= 2.12.6~),
 git (>= 1:1.7.9.1-1~),
 man-db,
 python-dateutil,
 python-pkg-resources,
Recommends: pristine-tar (>= 0.5), cowbuilder
Suggests: python-notify, unzip
Description: Suite to help with Debian packages in Git repositories
 This package contains the following tools:
  * gbp import-{dsc,dscs}: import existing Debian source packages into a git
    repository
  * gbp import-orig: import a new upstream version into the git repository
  * gbp buildpackage: build a package out of a git repository, check for local
    modifications and tag appropriately
  * gbp dch: generate Debian changelog entries from Git commit messages
  * gbp {pull,clone}: clone and pull from remote repos
  * gbp pq: manage debian/patches easily
  * gbp create-remote-repo: create remote repositories

Package: git-buildpackage-rpm
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends},
 git-buildpackage (= ${binary:Version}),
 python-rpm,
 rpm,
Recommends: pristine-tar (>= 0.5)
Suggests: python-notify, unzip
Description: Suite to help with RPM packages in Git repositories
 This package contains the following tools:
  * gbp import-srpm: import existing RPM source packages into a git
    repository

## git-buildpackage 0.6.22

=== docs/Makefile ===
#!/usr/bin/make

MAN1S = \
        gbp               \
        gbp-buildpackage  \
        gbp-clone         \
        gbp-config        \
        gbp-create-remote-repo \
        gbp-dch           \
        gbp-import-dsc    \
        gbp-import-dscs   \
        gbp-import-orig   \
        gbp-pq            \
        gbp-pull          \
        $(NULL)

MAN5S = gbp.conf

MANUAL=manual-html
SGML_MANPAGES=$(patsubst %,%.1,$(MAN1S)) $(patsubst %,%.5,$(MAN5S))
POD_MANPAGES=git-pbuilder.1
MANPAGES=$(SGML_MANPAGES) $(POD_MANPAGES)
VERSION_ENT=version.ent
GBP_VERSION=../gbp/version.py
DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
CHANGELOG=../debian/changelog

all: $(MANUAL) $(MANPAGES)

$(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
	docbook-2-html -s local $<
	cp /usr/share/gtk-doc/data/*.png $(MANUAL)

# We build manpages under 'buildxref/' just to get an updated cross-reference
# file (manpage.refs), before building the final manpages
BUILD_MAN_XREF_PAGES=$(patsubst %,buildxref/%,$(SGML_MANPAGES))

buildxref/%.1 buildxref/%.5: man.%.sgml manpages/%.sgml
	docbook2man -o buildxref $<

manpage.refs: $(BUILD_MAN_XREF_PAGES)
	cp buildxref/$@ $@

%.1 %.5: manpage.refs
	docbook2man -o . man.$*.sgml

git-pbuilder.1: ../bin/git-pbuilder
	pod2man $< $@

manual.sgml: $(VERSION_ENT)

$(VERSION_ENT): $(GBP_VERSION)
	echo '<!ENTITY gbp-version "$(DEB_VERSION)">' > $(VERSION_ENT)

clean:
	-rm -r manual-html/
	-rm *.1 *.5 manpage.* $(VERSION_ENT)
	-rm -r buildxref

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  sgml2x,
 # For the testsuite
  bzip2,
- devscripts,
+ devscripts (>= 2.13.8~),
  git (>= 1:1.7.9.1-1~),
  pristine-tar,
  unzip,
@@ -39,7 +39,7 @@
 Depends: ${python:Depends},
  ${shlibs:Depends},
  ${misc:Depends},
- devscripts (>= 2.12.6~),
+ devscripts (>= 2.13.5~),
  git (>= 1:1.7.9.1-1~),
  man-db,
  python-dateutil,

## git-buildpackage 0.6.27

=== debian/changelog ===
git-buildpackage (0.6.27) unstable; urgency=medium

  * [15187ba,270f41b] bash-completion: Simplify the code. This additionally
    avoids warnings on unknown commands and gives us basic completion for
    the RPM commands for free.
  * [f22785b] Allow to disable config section deprecations. Sections named
    [gbp-<command>] or [git-<command>] in gbp.conf cause a warning. In order
    to make it simpler to be compatible with ancient gbp versions these
    can be disabled by setting
        GBP_DISABLE_SECTION_DEPRECTATION=true
    in the environment.
  * [3585fdb] bash-completion: Disable config section deprecation warnings.
    It's of no use if we get these warnings on bash completion, it only
    confuses users. They're still shown when running the actual command.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 05 May 2015 08:55:11 +0200

git-buildpackage (0.6.26) unstable; urgency=medium

  * [72e129b] Drop git-* commands from manpages too.
    Thanks to Michael Biebl (Closes: #783537)
  * [ee2d421] Add a note to NEWS.Debian about the removal of the git-* symlinks

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Apr 2015 00:19:03 +0200

git-buildpackage (0.6.25) unstable; urgency=medium

  [ Markus Lehtonen ]
  * [f10d67f] UpstreamSource.guess_version: recognise debian native tarballs
  * [3ef3304] tests: add tests for UpstreamSource.guess_version()
  * [60ad28f] rpm tests: use eq_ and ok_ from nose tools.
    Provides better error messages as is more consistent as eq_ was already
    used in some test cases.
  * [f089021] tristate: implement __nonzero__() method.
    Returns False if tristate is 'off', otherwise True ('on' or 'auto').
  * [e07aaba] config: support for older six
  * [e4f767f] GitRepository/has_submodules: add treeish argument.  For
    defining a Git treeish which to look into, instead of the current working
    copy.
  * [5a74d4e] tests: add unit tests for gbp.rpm.SrcRpmFile
  * [1e347cc] rpm tests: disable one anomalous pylint error
  * [bd72c30] rpm tests: unbreak spec parsing test for openSUSE 13.2.
    Some SUSE-specific RPM tags are not supported anymore.

  [ Guido Günther ]
  * Upload to unstable
  * Some Python3 compat including using six.
  * [74008c7] Turn off coverage output by default.  It's much simpler to spot
    the cause of test failures this way.
  * [19d9280] Update docs on component tests and mailing list
  * [0b98c48,49f0e44,7ebf843] gbplogtester: robustness so we can finally
    silence the test suite.
  * [b1b7761] config test: fix missing prefix. We want to test no prefix,
    'gbp-' and 'git-'.
  * [335dfdb] command_wrapper: Make error reporting more flexible.
    We allow to substitute stderr, stdout and error_reason in run_error now.
    These changes the API for derived classses slightly so fix them up as
    well.
  * [89574a0] Don't let pristine-tar spew on stderr.
    Capture its output and only dump it on failure. This makes "gbp
    import-orig" and test runs less verbose.
  * [430be38] testutils: Fix __all__. The values weren't correctly seperated
  * [36b90e9] SrcRpmFile: Add stderr to error messages
    so we can better debug failures like
        http://honk.sigxcpu.org:8001/job/git-buildpackage/230/changes
  * [53fbee6] Depend on cpio needed by gbp import-srpm

  [ Daniel Kahn Gillmor ]
  * [83c5cc5] Allow to set upstream-vcs-tag via gbp.conf.
    Also pass it through version_to_tag so
        upstream-vcs-tag = libgpg-error-%(version)s
    properly expands the version replacement. (Closes: #780602)
  * [cb03293] Add %(hversion)s to version_to_tag to support some upstreams
    enigmail upstream uses tags named enigmail-1-8 for 1.8.  Other
    upstreams have used similar conventions, likely as holdovers from CVS
    (e.g. gnupg 1.4.2 was tagged with V1-4-2).  This patch helps packagers
    work with these upstreams. (Closes: #780679)

  [ Martin Erik Werner ]
  * [4a53c0f] docs: Fix diirectory->directory typo in gbp.conf manpage
    (Closes: #783013)

  [ Daniel Gollub ]
  * [aa8548d,e0f8b5b] gbp-dch: Guess upstream-tag based on merge-base to not
    accidentally pick up tags from the Debian branch.
    (Closes: #gh:7)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Apr 2015 09:05:16 +0200

git-buildpackage (0.6.24) experimental; urgency=medium

  [ Guido Günther ]
  * [1d6c4c7] Deprecate legacy config sections.
    We deprecate sections starting with git- and gbp- to reduce the confusion
    about what gets parsed first.  Output a warning if the old format is in use.
    Jessies gbp already supports both formats as does the one in
    wheezy-backports.
  * [e3a8666] Drop all gbp-* and git-* commands as announced in the
    deprecation notice from June 2013. From now on only "gbp <command>" is
    supported.
  * [229f259] buildpackage: Tag currently checked out head.
    Tag the head checked out at command invocation. The build can
    take some time and the repo might have changed underneath us.
    (Closes: #776506)
  * [428e895] Make Debian and Git spelling consistent
  * [644c97f] dch: Support Gbp-Dch: besides Git-Dch: as meta tag
  * [64be54d] pq: Generate new style Gbp-Pq: Topic <topic> entries.
  * [ff40c5d] Move requests import to downloads.
    The requests import takes ages and therefore considerably slows
    down program start up.
    This is very much noticeably during bash completion. Before:
    $ time gbp --list-cmds >/dev/null
    real	0m0.559s
    user	0m0.528s
    sys	0m0.028s
    After:
    $ time gbp --list-cmds >/dev/null
    real	0m0.092s
    user	0m0.088s
    sys	0m0.000s
  * [d86c624] bash-completion: Avoid a pointless fork
  * [0881bfc] Bump standards version
  * Many fixes towards Python3 compatibility

  [ Markus Lehtonen ]
  * [7ce15d2] pq: deprecate the usage of 'gbp-pq-topic:'
    Replaced by the "Gbp[-Pq]: Topic <topic>" command.
  * [aa22e22] import-srpm: support gbp-config command.
  * [1c6df3e] ComponentTestBase: ignore system and user config.


## git-buildpackage 0.6.29

=== debian/changelog ===
git-buildpackage (0.6.29) unstable; urgency=medium

  * [14c4f41] Drop my_collections from spec files.  It trips up recent librpm
    and we don't need the data for the tests anyway.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 26 May 2015 22:33:06 +0200

git-buildpackage (0.6.28) unstable; urgency=medium

  * [7a0b9df] git-pbuilder: Support creation of chroots for LTS
  * [c11a4d3] Add back completion for pq subcommands. This got lost in
    270f41.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 23 May 2015 12:43:44 +0200

## git-buildpackage 0.6.30

=== debian/changelog ===
git-buildpackage (0.6.30) unstable; urgency=medium

  * [474acd9] Allow to automatically determine the dist to build for.
    Setting --git-dist=DEP14 will follow the DEP14 proposal to determine the
    suite to build for via vendor/suite. The exception is sid where DIST is
    just set to be empty as well as native packages.
  * [18d83d5,3894520,c4f82d3] Python3 compatibility

 -- Guido Günther <agx@sigxcpu.org>  Sat, 30 May 2015 19:41:25 +0200

=== debian/control ===
--- 
+++ 
@@ -19,16 +19,18 @@
  python-nosexcover,
  python-pkg-resources,
  python-rpm,
+ python-six,
  python-setuptools,
- rpm,
  sgml2x,
 # For the testsuite
  bzip2,
+ cpio,
  devscripts (>= 2.13.8~),
  git (>= 1:1.7.9.1-1~),
  pristine-tar,
+ rpm,
  unzip,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
 Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
@@ -44,7 +46,8 @@
  man-db,
  python-dateutil,
  python-pkg-resources,
-Recommends: pristine-tar (>= 0.5), cowbuilder
+ python-six,
+Recommends: pristine-tar (>= 0.5), cowbuilder, python-requests
 Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
@@ -62,6 +65,7 @@
 Architecture: all
 Depends: ${python:Depends},
  ${misc:Depends},
+ cpio,
  git-buildpackage (= ${binary:Version}),
  python-rpm,
  rpm,

=== debian/rules ===
#!/usr/bin/make -f
  
EXAMPLE_SCRIPTS=\
    gbp-add-patch          \
    gbp-cowbuilder-sid     \
    gbp-posttag-push       \
    gbp-configure-unpatched-source \
    wrap_cl.py

DEB_COMPRESS_EXCLUDE=$(EXAMPLE_SCRIPTS)

ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

PYCHECKER_ARGS=-boptparse --no-override --no-shadowbuiltin

%:
	dh $@ --with python2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	export GIT_AUTHOR_NAME="Gbp Tests";		\
	export GIT_AUTHOR_EMAIL=tests@example.com;	\
	export GIT_COMMITTER_NAME=$$GIT_AUTHOR_NAME;	\
	export GIT_COMMITTER_EMAIL=$$GIT_AUTHOR_EMAIL;	\
	PYTHONPATH=.					\
	python setup.py nosetests --with-xcoverage
	
	PYTHONPATH=. pychecker $(PYCHECKER_ARGS) -q \
		gbp gbp.scripts gbp.git gbp.deb
else
	@echo "Checks disabled via DEB_BUILD_OPTIONS"
endif

override_dh_auto_build:
	dh_auto_build
	epydoc -v --config=setup.cfg
	make -C docs/

override_dh_auto_install:
	dh_auto_install
	dh_bash-completion
	mkdir -p debian/git-buildpackage/$(ZSH_COMPDIR)
	install -m644 debian/git-buildpackage.zsh-completion \
		debian/git-buildpackage/$(ZSH_COMPDIR)/_gbp

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	make -C docs/ clean
	-rm gbp/version.py

override_dh_compress:
	dh_compress --exclude=usr/share/doc/git-buildpackage/examples/

## git-buildpackage 0.6.31

=== debian/changelog ===
git-buildpackage (0.6.31) unstable; urgency=medium

  * [8241459] pq: Allow to preserve the patch name on import/export
    (Closes: #761161)
  * [32c52b7,58ea067] pylint and python3 cleanups

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Jun 2015 20:00:47 +0200

## git-buildpackage 0.6.32

=== debian/changelog ===
git-buildpackage (0.6.32) unstable; urgency=medium

  [ Guido Günther ]
  * [82a3971] import-dsc: mention that we create new repos if none found
    (Closes: #748340)
  * [dff628b] Don't insist on cowbuilder that much.
    Allow for pbuilder or sbuild either. Since the integration with
    cowbuilder is currenty best let's see how this turns out. It would be
    nice if somebody would provide some code to detect which builder is
    there and automatically adjust configuration for that one.
    Closes: #695280
  * [eff79b1] Add symlink for git-buildpackage.1.
    Make sure "man git-buildpackage" at least gives enough information where
    to look further.
  * [6a5675c,901581b,64e6fff,5f9e72a] Non C Locale related fixes
  * [a331b7f] Add spec file taken from git-buildpackage-rpm.
  * [46eacf2] Use --set-upstream-to instead of deprecated --set-upstream
    (Closes: #791798)
  * [cf67fc5] Fix urllib.urlopen import six.moves.urllib.urlopen does not
    exist

  [ Felipe Sateler ]
  * [3b99a6d] import-orig: Document pattern replacing in upstream-vcs-tag
    (Closes: #787832)

  [ Evgeni Golov ]
  * [b3341e5] Fix FSF address - thanks rpmlint
    use gnu.org/licences instead of a postal address, as suggested by Guido
  * [df215f3] call debchange instead of dch.
    Call the tool by its actual name instead of the abbriviation.
    dch is a symlink to debchange, which is not present on Fedora

 -- Guido Günther <agx@sigxcpu.org>  Wed, 08 Jul 2015 20:07:15 +0200

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,9 @@
  python-dateutil,
  python-pkg-resources,
  python-six,
-Recommends: pristine-tar (>= 0.5), cowbuilder, python-requests
+Recommends: pristine-tar (>= 0.5),
+ cowbuilder | pbuilder | sbuild,
+ python-requests
 Suggests: python-notify, unzip
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:

## git-buildpackage 0.7.0

=== docs/Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
         gbp-import-orig   \
         gbp-pq            \
         gbp-pull          \
+        gbp-buildpackage-rpm \
+        gbp-import-srpm \
+        gbp-pq-rpm \
         $(NULL)
 
 MAN5S = gbp.conf

=== debian/changelog ===
git-buildpackage (0.7.0) unstable; urgency=medium

  [ Guido Günther ]
  * [17e8a51] docs: Explain gbp dch --upstream-tag. (Closes: #795774)
  * [4da6402] docs: Split manpages between debian and rpm related tools.
  * [16dc010] docs: Add manpages for gbp import-srpm and gbp pq-rpm based on
    Markus Lehtonens work.
  * [24ee8fc] docs: Add missing EOF.
  * [01acdd7] docs: git-buildpackage is not a command anymore
  * [db5d50f] docs: Update pbuilder invocation section. The current docs were
    badly outdated not even mentioning --git-pbuilder.  Also document that we
    use cowbuilder with git-pbuilder. (Closes: #703969)
  * [c39e779] docs: Update gbp.conf manpage. Better explain parse order and
    option format.
  * [26c726e] docs: Add meta-closes-bugnum to gbp-pq manpage since it's used
    with "export --commit".
  * [45a5d08] docs: Use "hook" consistently for commands that aren't strictly
    necessary to run a build.

  * [6da8e46] buildpackage: Pass pbuilder dist to prebuild hook. This can e.g.
    be used to setup a tmpfs for git-pbuilder.

  * [422ae85] buildpackage-rpm: Add a minimal gbp buildpackage-rpm based
    on Markus Lehtonens work.

  * [c57c9fc] config: Don't print None for unset values. Just leave them
    empty.
  * [98df835] config: Don't skip empty values when printing all options, just
    print an empty value. This allows us to get a complete option list.

  * [e4704a6] git-pbuilder: Update to 1.35. (Closes: #765724)
  * [4be0df7] git-pbuilder: Check for sudo. (Closes: #796046)

  * [ffdfcd0] packaging: Update description for rpm packages. Make it clear
    that we're still experimenting with layouts and names.
  * [5704478,da78c09,50767fd,fc60141] rpm: spec file improvements

  * [488ba32] examples: gbp-posttag-push: Be more verbose when pushing.
  * [cf69c46] examples: Remove gbp-cowbuilder-sid, git-pbuilder replaced it
    ages ago.
  * [7630523] examples: Update jenkins-scratchbuilder to not use "git-" but
    "gbp ".

  * [c227c70] tests: Skip buildpackage-rpm component tests until we setup a
    proper test data repo.
  * [48d9d58] tests: Allow to easily check tags in a repo too.
  * [20d3c1d] tests: Add simple component test for buildpackage.
  * [3528b0f] tests: Add simple component test for gbp import-orig.
  * [34b4f65] tests: Add autopkgtest that builds a RPM of ourself.

  * [386d3a7] bash completion: Move from /etc to /usr/share.
  * [57f810c] bash completion: Use _have() instead of have() the later not
    being deprecated.
  * [25ca642] bash completion: Ensure autoload. The completion needs to be
    named like the command to be autoloaded.

  [ Lucas Nussbaum ]
  * [a954d1f] docs: Document gbp import-orig --debsnap.
  * [88833aa] docs: Document gbp import-orig --uscan.
  * [bf60f8a] docs: Fix typos in documentation and man pages.

  [ Markus Lehtonen ]
  * [5cab1bc] tests: tests.testutils: Add ls_dir(), ls_tar() and ls_zip()
  * [7ce69de] tests: Rewrite gbp.tmpfile.
  * [f45585f,6d56f24,a645073,3474d74] rpm packaging improvements
  * [3474d74] docs: Document gbp meta-tag commands of pq-rpm.
  * [a9ed4b2] docs: Document some options of buildpackage-rpm.
    Add manpage documentation for some previously undocumented options.
    Also, drop non-existing --git-patch-export and --git-export-only options
    from the manpage.
  * [f157bfb] buildpackage_rpm: Fix crash when package has no source archive.

  [ Jonathan Toppins ]
  * [c89c29d] dch: Allow bug number format to be overridden to help
    derivatives like EX-12345. This also helps in pulling CVE numbers simply
    by letting the user modify the regex to something like 'cve-\d+-\d+'.

  [ Florian Haftmann ]
  * [2dc9177] buildpackage: Early check before attempting to brand using
    pre-existing tag

  [ Rafael Laboissiere ]
  * [cd6d7da] docs: Clarify Gbp-Dch vs Git-Dch meta tag wording.
    (Closes: #797343)

  [ Daniel Gollub ]
  * [5210026] dch: Restore correct version-guessing for -0releases.

  [ Anthony Fok ]
  * [3e1240a] packaging: Add dh-python to Build-Depends
  * [b49bb0d] docs: Change "it's" to "its" in comments where appropriate
  * [881087a] docs: Copy-edit git-buildpackage documentations
  * [d8a30df] docs: Fix SGML validation errors in documentation

  [ James Clarke ]
  * [ae6826b] git-pbuilder: Check correct config file when using qemubuilder.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 21 Oct 2015 08:30:40 +0200

git-buildpackage (0.6.33) experimental; urgency=medium

  [ Carlos Maddela ]
  * [da4d469] Add support for referencing existing local repositories when
    cloning repositories. (Closes: #790889)
  * [97c7a32] Allow exported patches to be renumbered and the patch number
    prefix format to be specified as an option. (Closes: #790890)
  * [279e946] import-orig: Honour --debian-branch option when importing into
    an empty repo. (Closes: #791473)

  [ Guido Günther ]
  * [035b179] import-orig: Add new --merge-mode=replace.
    This allows one to not merge upstream versions into the debian branch
    but rather replace the content of the debian branch and only preserve
    the debian/ dirs content. (Closes: #778594)
  * [3d86432] buildpackage: in overlay mode remove debian/ from unpacked
    tarball.  We don't have a way to influence the upstream tarball in overlay
    mode so remove debian/ after unpack if the source format expects this.
    (Closes: #792692)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 14 Aug 2015 18:29:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
 Build-Depends:
- bash-completion,
+ bash-completion (>= 1:2.1-4.2~),
  debhelper (>= 9~),
+ dh-python,
  docbook-utils,
  gtk-doc-tools,
  jade,
@@ -50,7 +51,7 @@
 Recommends: pristine-tar (>= 0.5),
  cowbuilder | pbuilder | sbuild,
  python-requests
-Suggests: python-notify, unzip
+Suggests: python-notify, unzip, sudo
 Description: Suite to help with Debian packages in Git repositories
  This package contains the following tools:
   * gbp import-{dsc,dscs}: import existing Debian source packages into a git
@@ -75,5 +76,11 @@
 Suggests: python-notify, unzip
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
+  * gbp buildpackage-rpm: build a package out of a git repository, check for
+    local modifications and tag appropriately
   * gbp import-srpm: import existing RPM source packages into a git
     repository
+  * gbp pq-rpm: manage patches easily
+ .
+ These tools are currently in an experimental state. Branch names and
+ repository layouts might change without lots of prior warning.

## git-buildpackage 0.7.1

=== debian/changelog ===
git-buildpackage (0.7.1) unstable; urgency=medium

  [ Guido Günther ]
  * [0bb2064] Python3 cleanups
  * [003c7cf,8583e03] Update to git-pbuilder 1.37 and 1.38
    incorporating our changes. Many thanks to Russ Allberry!
  * [7cc509d] manpages: mention git-pbuilder upfront in the workflow and add
    missing pre-build hook
  * [ebe31e6] manpages: consistency for gbp buildpackage.
  * [7835216] Use faster CGit URL for Vcs-Browser
  * [bf4a67d] manpages: document GBP_DISABLE_SECTION_DEPRECTATION
  * [bfe32f1] buildpackage-rpm: add support for mock chroot builder.
     Try: gbp buildpackage-rpm --git-mock --git-dist=epel-6
    This is very heavily based on a patch from Tzafrir Cohen.
  * [84a2025] Support "gbp help <command>" (Closes: #791759)
  * [cbd40e5] import_dsc: Fail if a package has additional unhandled tarballs.
  * [8583e03] import-dsc: Bail out if target dir exists.
    If import-dsc is not run from within a Git repository it tries to create
    one named like the souce package. If that directory already exists we
    get confusing message like:
        gbp:info: No git repository found, creating one.
        gbp:warning: Version 0.7.0 already imported.
        gbp:info: Everything imported under /foo/git-buildpackage
    Avoid this by checking if the directory exists and aborting in this
    case. (Closes: #766350)
  * [6d80239] config: Use the same logic for printing a single and all values.
    Printing single values didn't populate the parser with defaults so we
    ended up with empty values for options not set in a config file.
  * [0d6e99d] Add README.source example. This can be used for gbp managed
    projects. Different tools are mentioned in different paragraphs so they
    can be extended or deleted if unused.
  * [d02d812] docs: Update Patches chapter. Mostly mention --commit and remove
    referenes to outdated tools.
  * [597e040] docs: Use <programlisting> consistently.  Use it for command
    blocks instead of a mixture of programlisting and screen.
  * [8e1020d] docs: Move all debian packaging branches into the debian/
    namespace to be consistent with DEP-14

  [ Markus Lehtonen ]
  * [ac020c3,ec331ef,c195442] rpm packaging cleanups
  * [82999a8] docs: enable building html docs with docbook2html if sgxml2x is
    unavailable.
  * [af17809] tests: enable buildpackage-rpm component tests.
  * [89648de] buildpackage_rpm: implement --native option.
  * [fe5ffe0] tests: enable unit tests for buildpackage-rpm

  [ Ken Dreyer ]
  * [aba67ba] git-pbuilder: spelling fix

  [ Lucas Nussbaum ]
  * Import content of https://honk.../debian_packages_in_git/ into the
    official manual.
    (Closes: #809023)

  [ Anthony Fok ]
  * [96df9e3] docs: Restore coloured background for <programlisting> in docs
    by using lower case class names.
    Closes: #gh:14

 -- Guido Günther <agx@sigxcpu.org>  Mon, 28 Dec 2015 15:26:56 +0100

## git-buildpackage 0.7.2

=== docs/Makefile ===
--- 
+++ 
@@ -28,10 +28,19 @@
 DEB_VERSION=$(shell sed -ne 's/^gbp_version="\([.a-z0-9~-]\+\)"/\1/p' $(GBP_VERSION))
 CHANGELOG=../debian/changelog
 
+# Stuff to build docs outside Debian
+HAVE_SGML2X ?= 1
+GTK_DOC_CATALOG_FILE ?= /usr/share/sgml/gtk-doc/gtk-doc.cat
+
 all: $(MANUAL) $(MANPAGES)
 
 $(MANUAL): manual.sgml chapters/*.sgml manpages/*.sgml
+ifeq ($(HAVE_SGML2X),1)
 	docbook-2-html -s local $<
+else
+	docbook2html -d local-nosgml2x.dsl -c $(GTK_DOC_CATALOG_FILE) -o $(MANUAL) $<
+endif
+	sed -i 's/^CLASS="[A-Z0-9]\+"/\L&/' manual-html/*.html
 	cp /usr/share/gtk-doc/data/*.png $(MANUAL)
 
 # We build manpages under 'buildxref/' just to get an updated cross-reference

=== changelog ===
hello-debhelper (2.6-2) unstable; urgency=medium

  * Use debhelper compatibility level 8, the new recommended mode.

 -- Santiago Vila <sanvila@debian.org>  Wed, 18 Aug 2010 16:20:38 +0200

hello-debhelper (2.6-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. Closes: #574878.
  * Added a note to debian/rules about the new dh syntax.
  * Standards-Version: 3.9.1 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Fri, 06 Aug 2010 22:05:00 +0200

hello-debhelper (2.5-1) unstable; urgency=low

  * New upstream release.
  * Added homepage field to control file.
  * Added cross-compilation support, using the new dh_auto_* commands
    from debhelper 7. Thanks a lot to Colin Watson. Closes: #550328.
  * Standards-Version: 3.8.4 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Feb 2010 18:41:54 +0100

hello-debhelper (2.4-3) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 13:07:00 +0200

hello-debhelper (2.4-2) unstable; urgency=low

  * Handle info files using dh_installinfo and ${misc:Depends}.
  * Removed debian/prerm and debian/postinst, no longer needed.
  * Standards-Version: 3.8.3.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Aug 2009 17:08:00 +0200

hello-debhelper (2.4-1) unstable; urgency=low

  * New upstream release. Manual is back.
  * Standards-Version: 3.8.2 (no changes for this).

 -- Santiago Vila <sanvila@debian.org>  Mon, 03 Aug 2009 23:39:04 +0200

hello-debhelper (2.2-3) unstable; urgency=low

  * Run "make distclean" only if Makefile exists, but do not ignore errors.
  * Use debhelper compatibility level 7, as that's the level newly
    created packages are supposed to use.

 -- Santiago Vila <sanvila@debian.org>  Fri, 28 Nov 2008 17:15:38 +0100

hello-debhelper (2.2-2) unstable; urgency=low

  * Removed dh_testroot call, as it's not debian/rules job.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 08:09:00 +0200

hello-debhelper (2.2-1) unstable; urgency=low

  * New upstream release.
  * Repackaged source taken from hello package.
  * Removed prerm and postinst, as info files are missing now.

 -- Santiago Vila <sanvila@debian.org>  Sat,  9 Dec 2006 17:00:14 +0100

hello-debhelper (2.1.1-4) unstable; urgency=low

  * Removed dh_testdir from debian/rules, as it is not very useful.
  * Standards-Version: 3.7.2 (no changes for this).
  * Updated config.guess and config.sub.
  * Use debhelper compatibility level 5, as that's the level newly
    created packages are supposed to use.

 -- Santiago Vila <sanvila@debian.org>  Tue, 18 Jul 2006 19:57:10 +0200

hello-debhelper (2.1.1-3) unstable; urgency=low

  * Created debian/compat with "4" as contents.
  * Build-Depends: debhelper (>= 4) accordingly.
  * Things are now installed in debian/hello-debhelper, not debian/tmp.
  * Updated config.guess and config.sub for GNU/K*BSD.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Jan 2004 16:45:52 +0100

hello-debhelper (2.1.1-2) unstable; urgency=low

  * The "Ockham's Razor" release.
  * Modified Makefile.in to make sure that install-info is never called
    during the build. This is a workaroud for an automake bug which makes
    packages to contain /usr/share/info/dir.gz.
  * Removed misleading comment at the top of debian/rules, this one is
    a complete rewrite, not a modification, from the hello debian/rules.
  * Removed debian/rules commented out calls to dh_* tools. Some of them
    (like dh_suidregister) were deprecated, others (like dh_dirsizes)
    do not even exist now. Use dh_make (from the dh-make package) if you
    want a debian/rules full of comments.
  * Removed build-arch and build-indep targets, there was a circular
    dependency between them and the build target and IMHO this should not be
    a full tutorial on writing debian/rules but a simple example instead.
  * Removed install-arch and install-indep targets, for the same reason.
  * Made install target to depend on the build target, as it should be.
  * Standards-Version: 3.6.1 (no changes required for this).

 -- Santiago Vila <sanvila@debian.org>  Wed,  8 Oct 2003 13:42:20 +0200

hello-debhelper (2.1.1-1) unstable; urgency=low

  * New upstream release. GNU hello now says `Hello, world!' in a lot of
    different languages, using gettext. See the NEWS file for details.
  * Fixed spelling error in extended description (Closes: #124734).
  * The upstream source now contains install-sh (Closes: #59162).
  * The info file is now installed under the "Development" section.
  * It already has a description, so --description isn't used anymore.
  * Removed deprecated emacs stuff from the Debian changelog.
  * Removed debian/hello.1, since there is now an upstream manpage.
  * Downgraded priority to extra, since it conflicts with hello which
    is optional. In fact, this package is only useful to be apt-get sourced.
  * Standards-Version: 3.5.7:
  - Added support for noopt in DEB_BUILD_OPTIONS
    (dh_strip already cares about nostrip).
  - Removed #DEBHELPER# from prerm and postinst since it was only useful
    for the doc symlinks, which we don't want to manage anymore.
  - Build-Depends: debhelper.
  * New maintainer (thanks, Adam).

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2002 21:11:12 +0200

hello-debhelper (1.3-18) unstable; urgency=low

  * Made all binary targets depend eventually on build.  Closes: #57650.

 -- Adam Heath <doogie@debian.org>  Thu, 19 Oct 2000 02:53:02 -0500

hello-debhelper (1.3-17) frozen unstable; urgency=low

  * Changed description, so that it described the differences
    between the normal version of hello and this.  Closes: #50590.
  * Changed the location of the gpl in the copyright.

 -- Adam Heath <doogie@debian.org>  Mon, 17 Jan 2000 17:25:54 -0600

hello-debhelper (1.3-16) unstable; urgency=low

  * Added build depends.


=== debian/changelog ===
git-buildpackage (0.7.2) unstable; urgency=medium

  * [81ca19d] import_orig: Check git repo before downloading the source.  This
    makes sure we fail fast and not after the 30MB download
  * [9dbe0cf] import_orig: Check upfront if the upstream tag already exists.
    This makes sure we fail fast instead of importing first and then failing
    to tag.
  * [0b5a0a2] import_dsc: Check git repo before downloading the source.  This
    makes sure we fail fast and not after the 30MB download
  * [9cc0a3f] buildpackage: Move git-pbuilder environemt variables into GBP_
    namespace.
    Keep the old ones for backward compatibility but this way they're all
    available to all hooks and not only to prebuild.  In order to not put more
    stuff into the process enviroment dont use os.environ but only pass these
    in via extra_env.
    While at that test that hooks actually get their environment variables set
    up correctly.
  * [36893cb] buildpackage: make sure hook_vars is always available.
    --tag-only uses different code paths so far only covered by the external
    test suite. Add a component test to fix that.
  * [92b7f1b] upstream_source: Don't silently ignore filters when importing
    zip archives
  * [35bd093] Don't throw exception when printing help an getting EPIPE.
    Python's optparse does not ignore EPIPE so just add our own print_help().
  * [2f0d139] docs: Clarify relation between git- prefixed options and
    gbp.conf
  * [fe37670] docs: add options passed to build command to synopsis
  * [abe4e40] Update to git-pbuilder 1.40.
    Thanks to Russ Allberry
  * [2cc710d] docs: Fix sgml parsing errors spotted by docbook2html

 -- Guido Günther <agx@sigxcpu.org>  Fri, 29 Jan 2016 09:13:18 +0100

=== debian/control ===
--- 
+++ 
@@ -31,9 +31,10 @@
  pristine-tar,
  rpm,
  unzip,
+ zipmerge
 Standards-Version: 3.9.6
 Vcs-Git: git://honk.sigxcpu.org/git/git-buildpackage.git
-Vcs-Browser: https://honk.sigxcpu.org/gitweb/?p=git-buildpackage.git
+Vcs-Browser: https://git.sigxcpu.org/cgit/git-buildpackage/
 Homepage: https://honk.sigxcpu.org/piki/projects/git-buildpackage/
 X-Python-Version: >= 2.6
 
@@ -73,7 +74,7 @@
  python-rpm,
  rpm,
 Recommends: pristine-tar (>= 0.5)
-Suggests: python-notify, unzip
+Suggests: python-notify, unzip, zipmerge, mock
 Description: Suite to help with RPM packages in Git repositories
  This package contains the following tools:
   * gbp buildpackage-rpm: build a package out of a git repository, check for

## git-buildpackage 0.7.3

=== debian/changelog ===
git-buildpackage (0.7.3) unstable; urgency=medium

  * [324b833] Fixup trailer in README.source example
  * [3a84c11] Add testcase for non-native build-package
  * [61ced0a] Mention debian branch (Closes: #817980)
  * [9ef2aff] Clarify {upstream,debian}-{branch,tag} options
    (Closes: #817980, #817981)
  * [511b67f] gbplogtester: Check if we have enough log lines
  * [9990b88] import_dsc: Make 'gbp import-dsc' aware of component tarballs
    instead of plain failing. Just import the additional tarball but disable
    pristine-tar until we sorted out how to export things again.
    (Closes: #561072)

 -- Guido Günther <agx@sigxcpu.org>  Fri, 01 Apr 2016 10:50:05 +0200

## git-buildpackage 0.7.4

=== debian/changelog ===
git-buildpackage (0.7.4) unstable; urgency=medium

  [ Guido Günther ]
  * [bb373cf] buildpackage: Improve error message when using DEP14
  * [074e8e6] import_dsc: Allow to use pristine-tar with multiple tarballs
  * [1aa9fc3,31754ac,6681989,1d8fb9d]: more multiple tarball tooling to
    support it in other commands besides import-dsc with upcoming releases
  * [060408f] create_remote_repo: Don't fail if current repo does not have any branches
    (Closes: #822089)
  * [d232194] gbp.conf: Add customization example
  * [816829a] import_dscs: Mention debsnap command in options so it shows up
    in the bash completion

  [ Daniel Kahn Gillmor ]
  * [a507ce2] docs: correct gbp.conf example of multiple filter options.
    Commit 7e8f3bb1223269cf1b646 fixed the section that explains how to use
    multiple filter options but forgot to clean up the import-orig example
    at the end of the manpage.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 05 May 2016 13:50:41 +0200

## git-buildpackage 0.7.5~bpo8+1

=== debian/changelog ===
git-buildpackage (0.7.5~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 22 Aug 2016 12:22:57 +0000

git-buildpackage (0.7.5) unstable; urgency=medium

  [ Dmitry Teselkin ]
  * [3a93ada] Use tox for testing

  [ Guido Günther ]
  * [b56f7b0] buildpackage: don't claim the tarball does not exist. It can
    also be triggered by --force-create
  * [4ff5c3a] buildpackage: Simplify tarball generation logic.
  * [cfcac02] buildpackage: Allow to generate subtarballs.
  * [508656d] buildpackage: Support pristine-tar with multiple tarballs
    but disable pristine-tar-commit in this case for now
  * [22435b2] buildpackage: Check for existence of subtarballs as well

 -- Guido Günther <agx@sigxcpu.org>  Fri, 27 May 2016 10:27:07 +0200

## git-buildpackage 0.7.5

=== requirements.txt ===
six>=1.9.0
nose>=0.11.1
coverage>=2.85
nosexcover>=1.0.7
python-dateutil
mock
